Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp
Class TagSupportHelper

    java.lang.Object
      |
      +--com.bea.p13n.servlets.jsp.TagSupportHelper

public class TagSupportHelper
extends java.lang.Object

A class that provides P13N helper methods for P13N JSP custom tag handler classes.

Constructor Summary
`TagSupportHelper()`

Method Summary
`static AdviceRequest` | `createAdviceRequest(javax.servlet.jsp.PageContext pageContext, java.lang.String uri, java.lang.String identifier)` Populates a new `AdviceRequest` with the following: The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date
`static Advisor` | `createAdvisor()` Creates an `Advisor` EJB instance.
`static ProfileWrapper` | `getUserProfile(javax.servlet.http.HttpServletRequest httpRequest)` Returns a `ProfileWrapper` for the current user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagSupportHelper

    public TagSupportHelper()

Method Detail

### createAdvisor

    public static Advisor createAdvisor()
                                 throws JspException

  Creates an `Advisor` EJB instance.

  Returns:
    an Advisor
  Throws:
    JspException - if an error occurrs during creation of an `Advisor`.
  See Also:
    `Advisor`

### createAdviceRequest

    public static AdviceRequest createAdviceRequest(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String uri,
                                                    java.lang.String identifier)
                                             throws JspException

  Populates a new `AdviceRequest` with the following:
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date

  Parameters:
    `pageContext` - The `PageContext`.
    `uri` - the URI for the AdviceRequest - this will correspond to the URI prefix of a deployed Advislet.
    `identifier` - the identifier for this request to the Advisor.
  Returns:
    a new `AdviceRequest` instance.
  Throws:
    JspException - if an error occurrs during creation of an `AdviceRequest`.
  See Also:
    `AdviceRequest`

### getUserProfile

    public static ProfileWrapper getUserProfile(javax.servlet.http.HttpServletRequest httpRequest)
                                         throws JspException

  Returns a `ProfileWrapper` for the current user. This method first tries to retrieve a previously cached profile. If one cannot be found, a new `ProfileWrapper` is created for the current user ID. If the user ID is not initialized, an anonymous profile is returned.

  Returns:
    a `ProfileWrapper` for the current user.
  Throws:
    JspException - on profile retrieval error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved